{
  "name": "server-.",
  "description": "黑礁",
  "version": "0.1.0",
  "main": "index.js",
  "private": true,
  "scripts": {
    "dev": "tsrpc-cli dev",
    "build": "tsrpc-cli build && copy js_pm2.config.js dist && copy zoeninfo.sh dist && copy tsbufferIndex.js dist && mkdir dist\\json && xcopy src\\json dist\\json /e ",
    "build_win": "tsrpc-cli build && copy js_pm2.config.js dist && copy zoeninfo.sh dist && copy tsbufferIndex.js dist && mkdir dist\\json && xcopy src\\json dist\\json /e ",
    "build_linux": "tsrpc-cli build && cp js_pm2.config.js dist && cp zoeninfo.sh dist && cp tsbufferIndex.js dist && cp src/json/ -a dist ",
    "build_docker_win": "npm run build_win && cd dist && npm i --omit=dev",
    "build_docker_linux": "npm run build_linux && cd dist && npm i --omit=dev",
    "doc": "tsrpc-cli doc && node js_uploadDoc.js",
    "test": "mocha test/**/*.test.ts",
    "proto": "tsrpc-cli proto",
    "sync": "tsrpc-cli sync",
    "api": "tsrpc-cli api",
    "capi": "npm run proto && npm run api && npm run doc"
  },
  "devDependencies": {
    "@types/crypto-js": "^4.1.1",
    "@types/json5": "^2.2.0",
    "@types/mathjs": "^9.4.2",
    "@types/mocha": "^8.2.3",
    "@types/mongodb": "^4.0.7",
    "@types/node": "^15.14.9",
    "@types/redis": "^4.0.11",
    "ftp": "^0.3.10",
    "mocha": "^9.2.2",
    "onchange": "^7.1.0",
    "ts-node": "^10.9.1",
    "tsrpc-cli": "^2.4.5",
    "typescript": "^4.8.4"
  },
  "dependencies": {
    "axios": "^1.4.0",
    "crypto-js": "^4.1.1",
    "express": "^4.18.2",
    "inspector-api": "^1.4.8",
    "ioredis": "^5.3.2",
    "json5": "^2.2.3",
    "mathjs": "^11.4.0",
    "mongodb": "^4.17.1",
    "node-gyp": "^10.0.1",
    "ramda": "^0.29.1",
    "redis": "^4.3.1",
    "shelljs": "^0.8.5",
    "sync-request": "^6.1.0",
    "tsrpc": "^3.4.14",
    "xlsx": "^0.18.5"
  }
}
